Bug 1275372 - Content filter rules are different in Sat 6.1
Content filter rules are different in Sat 6.1
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Install Guide (Show other bugs)
Unspecified
Unspecified Unspecified
medium Severity medium (vote)
: GA
: 6.2
Assigned To: Dan Macpherson
Andrew Dahms
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 13:10 EDT by Deon Ballard
Modified: 2016-05-06 01:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-06 01:05:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deon Ballard 2015-10-26 13:10:16 EDT
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html/Installation_Guide/chap-Red_Hat_Satellite-Installation_Guide-Upgrading_Red_Hat_Satellite_Server_and_Capsule_Server.html#sect-Red_Hat_Satellite-Installation_Guide-Upgrading_Red_Hat_Satellite_Server_and_Capsule_Server-Upgrading_Red_Hat_Satellite

There was a consultant working on a customer upgrade from 6.0 to 6.1. While not directly related to upgrade, there was an issue with content filters behaving differently after the system was upgrade. 

The consultant was said that he was told (in 6.0 docs? by engineering? in the 6.1 doc? TBD) to have "include all the packages without errata" as part of the content filter. However, with that setting, the original exclude rule was overridden, which broke the customer SOE.
Comment 1 Deon Ballard 2015-12-02 14:35:35 EST
Mass re-assign of all content / lifecycle related bugs to Dan MacPherson for the new content management guide.
Comment 2 Deon Ballard 2015-12-10 12:21:16 EST
++++ IMPORTANT +++++

These bugs are being reassigned to Dan MacPherson as part of his work on creating a content management guide.


/////////////////////////////
DO NOT REASSIGN TO THE QUEUE.
/////////////////////////////
Comment 3 Dan Macpherson 2016-02-04 22:15:01 EST
I've tried to expand on how content filters work, especially the order of include and exclude:

http://file.bne.redhat.com/~dmacpher/Sat6/Content_Management/#Creating_Content_Views-Defining_Content_Filters

The following note sums it up:

=== Note ===
If using a combination of Include and Exclude filters, publishing a content view triggers the Include filters first, then the exclude filters. In this situation, select which content to include, then which content to exclude from the inclusive subset.

Deon, does that suit the requirements of this BZ?
Comment 4 Mike McCune 2016-03-28 18:29:36 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 5 Dan Macpherson 2016-05-05 23:24:29 EDT
The bugs were included as part of technical review of the full guide. In addition, the guide has been peer reviewed.

Setting the QA contact to adahms and flipping the status to ON_QA.
Comment 6 Andrew Dahms 2016-05-06 01:05:56 EDT
Peer reviewed performed in BZ#1326123.

This content is now live on the Customer Portal.

Closing.

Note You need to log in before you can comment on or make changes to this bug.